require('dotenv').config();
module.exports = {


    friendlyName: 'Create',


    description: 'Create Attribution rang!',


    inputs: {
        codeParent: {
            type: 'string',
            required: true
        },
        nom: {
            type: 'string',
            required: true
        },

        prenom: {
            type: 'string',
        },
        sexe: {
            type: 'string',
        },
        dateNaissance: {
            type: 'string',
        },

        lieuNaissance: {
            type: 'string',
        },
        indicatif1: {
            type: 'string',
        },

        telephone1: {
            type: 'string',
        },
        indicatif2: {
            type: 'string',
        },

        telephone2: {
            type: 'string',
        },
        email: {
            type: 'string',
        },

        codeEcole: {
            type: 'string',
            required: true
        },


        logiUsername: {
            type: 'string',
            require: true

        },
        key: {
            type: 'string',
            require: true

        },
        logiPassword: {
            type: 'string',
            require: true

        },


    },


    exits: {
        notFound: {
            statusCode: 404
        },
    },


    fn: async function (inputs, exits) {

        //console.log("INPUTS 1", inputs)

        // TOKEN VERIFY
        let user = await Utilisateurs.find({ login: inputs.logiUsername, codeUser: inputs.logiPassword }).then(_.first)
        if (!user) {
            return exits.notFound('Utilisateur non trouvé')
        }
        console.log("INPUTS 2", inputs)

        let keyVerify = process.env.KEYVERIFY
        //
        if (keyVerify !== inputs.key) {
            return exits.notFound({ message: "Token non valide" })
        }


        ///////////////////
        let parentCreate;
        let parent = await Parents.find({ codeParent: inputs.codeParent, codeEcole: inputs.codeEcole }).then(_.first)
        if (parent) {

            return exits.notFound({ message: "Ce parent existe déja, veuillez le modifier!" })
        } else {
            parentCreate = await Parents.create(inputs).fetch();
        }
        // All done.
        return exits.success(parentCreate);

    }


};
